version: "{build}"

clone_folder: c:\gopath\src\github.com\docker\cli

environment:
  GOPATH: c:\gopath
  GOVERSION: 1.12.16
  DEPVERSION: v0.4.1

install:
  - rmdir c:\go /s /q
  - appveyor DownloadFile https://storage.googleapis.com/golang/go%GOVERSION%.windows-amd64.msi
  - msiexec /i go%GOVERSION%.windows-amd64.msi /q
  - go version
  - go env

deploy: false

build_script:
  - ps: .\scripts\make.ps1 -Binary

test_script:
  - ps: .\scripts\make.ps1 -TestUnit
